Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## anl.repast.gis.data
Class FeatureArrayList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList
                  anl.repast.gis.data.FeatureArrayList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

    public class FeatureArrayList

extends java.util.ArrayList

An ArrayLIst for use with GisFeatures as defined in GeoTools. Used with the GisData class

Author:
  Robert Najlis
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`FeatureArrayList()`

Method Summary
`void` | `addFeature(org.geotools.feature.Feature feature)`
`org.geotools.feature.Feature` | `getFeature(int index)`
`static void` | `main(java.lang.String[] args)`
`void` | `setFeature(int index, org.geotools.feature.Feature feature)`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### FeatureArrayList

    public FeatureArrayList()

Method Detail

### main

    public static void main(java.lang.String[] args)

### getFeature

    public org.geotools.feature.Feature getFeature(int index)

### setFeature

    public void setFeature(int index,
                           org.geotools.feature.Feature feature)

### addFeature

    public void addFeature(org.geotools.feature.Feature feature)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD